Payout details
Payouts are only available when using Volt Connect
This will return details of the selected payout, with approval update history.
Usage
Pass the id of the payout as part of the URL.
More information
Full details on payouts can be found in our comprehensive integration guides.
id*stringID of the payout
OK - Details of the selected payout
application/json- response
API payouts don't require approval
id?stringuuidstatus?"CREATED""CREATED"createdAt?stringdate-timeamount?integerThe amount to be paid out, in 1/100 units (pence, cents etc).
currency?stringCurrency in which the payment should be made, in ISO 4217 format (3 uppercase letters)
paymentTitle?stringPayment reference to be used for the payout. This will appear on the beneficiary's statement.
beneficiary?Beneficiary bank account details
sender?Your Connect account details
externalReference?stringOptional internal payout reference to be used for reconciliation and tracking within merchant systems. Not unique. Not shared with banks or payment networks.
createdBy?approvals?array<>Will contain an empty array
curl -X GET 'https://connect-api-sandbox.volt.io/payouts/efffed42-40f7-4bd2-840d-908aae9a33ad'{ "createdBy": { "name": "string" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "CREATED", "createdAt": "2019-08-24T14:15:22Z", "amount": 0, "currency": "string", "paymentTitle": "string", "beneficiary": { "name": "string", "accountNumber": "string", "sortCode": "string", "iban": "string", "swiftBic": "string" }, "sender": { "sortCode": "string", "accountNumber": "string", "iban": "string", "swiftBic": "string" }, "externalReference": "string", "approvals": [ { "user": { "name": "string" }, "type": "APPROVAL", "createdAt": "2019-08-24T14:15:22Z" } ]}Eligible beneficiaries list GET
**Payouts are only available when using Volt Connect** For regulatory purposes, it's a closed-loop payout system, meaning you may only payout funds to a person or organisation you've previously received money from using Volt Connect. This endpoint will return a list of beneficiaries you are allowed send payouts to. ### Usage The list is paginated by default. ### More information Full details on payouts can be found in our comprehensive integration guides.
Payout list GET
**Payouts are only available when using Volt Connect** This will return a list of all existing payouts. ### Usage The list is paginated by default and can be filtered using the parameters shown in the request section below. ### More information Full details on payouts can be found in our comprehensive integration guides.